EndpointsWorkspaces
Obtain a workspace inference key
PUT
/v2/workspaces/{workspace_id}/inferenceReturns the owner's spend-capped credential and renewal time. Repeated requests do not replenish its budget.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
workspace_id*Workspace Id
The workspace, as GET /v2/hermes reports its provisioning_id.
Format
uuidcurl -X PUT "https://softmax.com/api/observatory/v2/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/inference"{ "key": "string", "expires_at": "2019-08-24T14:15:22Z", "renew_at": "2019-08-24T14:15:22Z", "allowance_usd": 0}